Bug 624289 - mcastaddr not read when starting cluster
mcastaddr not read when starting cluster
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cluster (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Fabio Massimo Di Nitto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-15 13:03 EDT by digimer
Modified: 2011-02-08 06:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-08 06:09:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current cluster.conf that fails. (851 bytes, application/octet-stream)
2010-08-15 13:03 EDT, digimer
no flags Details
slightly modified cluster.rng to add support for Node Assassin cluster fence device. (115.45 KB, application/octet-stream)
2010-08-15 13:04 EDT, digimer
no flags Details

  None (edit)
Description digimer 2010-08-15 13:03:46 EDT
Created attachment 438844 [details]
Current cluster.conf that fails.

Description of problem:

Cluster fails to start with error 8 when defining <interface> inside the <totem> tag.

Version-Release number of selected component (if applicable):

corosync-1.2.7-1.fc13.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Add the following to cluster.conf: 
        <totem secauth="off" rrp_mode="passive">
                <interface ringnumber="0" bindnetaddr="10.0.1.0" mcastaddr="239.192.122.47" mcastport="5405" />
        </totem>
2. Validate against: xmllint --relaxng /usr/share/cluster/cluster.rng /etc/cluster/cluster.conf
3. start cman: /etc/init.d/cman start
  
Actual results:

-----------------------------------------
Starting cluster: 
   Checking Network Manager...                             [  OK  ]
   Global setup...                                         [  OK  ]
   Loading kernel modules...                               [  OK  ]
   Mounting configfs...                                    [  OK  ]
   Starting cman... corosync died: Error, reason code is 8
                                                           [FAILED]
-----------------------------------------

in /var/log/messages
-----------------------------------------
Aug 15 12:59:59 an-node01 corosync[7216]:   [MAIN  ] Corosync Cluster Engine ('1.2.7'): started and ready to provide service.
Aug 15 12:59:59 an-node01 corosync[7216]:   [MAIN  ] Corosync built-in features: nss rdma
Aug 15 12:59:59 an-node01 corosync[7216]:   [MAIN  ] Successfully read config from /etc/cluster/cluster.conf
Aug 15 12:59:59 an-node01 corosync[7216]:   [MAIN  ] Successfully parsed cman config
Aug 15 12:59:59 an-node01 corosync[7216]:   [MAIN  ] Successfully configured openais services to load
Aug 15 12:59:59 an-node01 corosync[7216]:   [MAIN  ] parse error in config: No multicast address specified
Aug 15 12:59:59 an-node01 corosync[7216]:   [MAIN  ] Corosync Cluster Engine exiting with status 8 at main.c:1425.
-----------------------------------------

Expected results:

The cluster to start with the defined values.

Additional info:

Slightly modified cluster.rng is use to support a home-made fence device. Attached for reference in next post.
Comment 1 digimer 2010-08-15 13:04:35 EDT
Created attachment 438845 [details]
slightly modified cluster.rng to add support for Node Assassin cluster fence device.
Comment 2 Steven Dake 2010-08-15 14:02:34 EDT
This is not a corosync issue.  I suspect problem is with cman.  Digimer please mail your rng patch to the ml.

Regards
-steve
Comment 3 digimer 2010-08-15 19:16:45 EDT
Thanks for moving it. I've mailed a patch to the ML.
Comment 4 digimer 2010-08-22 21:25:26 EDT
Has this been verified as a bug yet?
Comment 5 Fabio Massimo Di Nitto 2011-02-08 06:09:46 EST
Hi digimer,

sorry for this late reply.

The totem rrp configuration in cman is not a 1:1 matching map.

Interface selection is based on node name and multicast address is set like this (from cman.5):

  <cman>
      <multicast addr="229.192.0.1"/>
  </cman>

Note You need to log in before you can comment on or make changes to this bug.